//  _                   _
// | |_ ___  _   _ _ __| |__
// | __/ _ \| | | | '__| '_ \
// | || (_) | |_| | | _| | | |
//  \__\___/ \__,_|_|(_)_| |_|
//
// Author: Love Billenius <lovbi127@student.liu.se>


#ifndef TOUR_H
#define TOUR_H

#include "Node.h"
#include "Point.h"

class Tour {
public:

    Tour();
    ~Tour();
    void show() const;
    void draw(QGraphicsScene* scene) const;
    int size() const;
    double distance() const;
    void insertNearest(Point p);
    void insertSmallest(Point p);

private:
    Node* m_startNode;
};

#endif // TOUR_H
